# -*- sh -*-
# commands for green level at 29/07/2009 featuring


# load level resources
print "loading level1"
bg0.load "spritey.spr"
bg0.map "assault2.map" 128 128 # (appleman @ 576 280)
color 0 426f40
color 252 070707
print "activating background"
bg1.map = bg0.map:1 128 128
bg2.load "woodsb.spr"
bg2.map embedded 128 128
print "loading sprites"
spr.load "spritey.spr":1



# pages : [0]Bilou, [1]Bilou again, [2]cliff&bush&apple, [3]anims & woodworm
#         [4]appleman&fruitbat, [5] caves, [6]tree, [7]leaves, [8]



# apple
anim5 c {
  spr0 0
  delay 5
  spr0 1
  delay 10
  spr0 0
  delay 5
  spr0 2
  delay 10
  loop
}
print "animating blocks"
bg0.anim 220 : anim5

# game counters 

let c1 = 16  # required apples
let c2 = 5  # hitpoints


c3.action = level(assault0.cmd)


print "declaring state machine"

# Woodworm

input "worm.cmd"
import state0..1
using sound(5,60) as 0
using sound(4,48) as 1



# "bonus block"
block 0001 {
   area (4,4)-(12,12) 0010
   on hit [t] (x0d1) 
}
# "door block"
block 22 {
   area (-4,-4)-(20,20) 0010
   on hit [c1 0 =] (t)
}
# "exit target"
block 0003 {
  area (0,0)-(16,16) 0010
  on hit [t] (d4)
}

input "abilou.cmd"
import state 4..7
gob0 :state4 (128, 128) h
focus=gob0

c4.action = track(38) {
@4: setstate(gob0:=state6)
@16: fade(219)
@32: level(assault3.cmd)
}

c2.action = track(37) { # you're dead
@0: setstate(gob0:=state7)
@16: fade(219)
@32: level(assault2.cmd,d0d3) # try again
}

gob1 :state0 (184, 184) e

print "woodworms."


print "dropping mushrooms ..."

input "funghi.cmd"
import state3

input "berrybat.cmd"
import state2

using shgob(state0 is e:=D) as 12
input "berryshoot.cmd"
import state 12..13


print "reset gun6"
using shgob(state0:=D) as 6



print "setting counters"
c0.print "level "
let c:= (i0 v0 5* :7)
let c:= (d8 v7 :4 v4 :5 v7 2 / :7)
#let c7 = 5 * level   # max number of applemen on screen.
#let c8 = 10   # inter-applemen delay
#let c9 = c7   # level cleared.
c0.print "level "
c4.print "apples "

input "appleman.cmd"
import state9
using shgob(state0 is e:=D) as 9
#using sound(0,0) as 9
gob2 :state1 (176, 128) e

input "appshoot.cmd"
import state10..11

gob3 :state11 (0, 40) e
gob3:=(1 :4)
gob4 :state11 (0, 112) e
gob4:=(2 :4)
gob5 :state11 (0, 160) e
gob5:=(3 :4)
gob9 :state11 (72, 0) e
gob9:=(4 :4)
gob10 :state11 (0, 227) e
gob10:=(3 :5)
gob11 :state13 (200,0) e
gob11:=(10:7 c8 3* 5+ :8 v8:9 80:4)

do fade(0)
do track(pop)
end
