# -*- sh -*-
# commands for green level at 29/07/2009 featuring


# load level resources
print "loading level4"
bg0.load "spritey.spr"
bg0.map "assault4.map" 128 128 # (appleman @ 576 280)
color 0 426f40
color 252 070707
print "activating background"
bg1.map = bg0.map:1 128 128
bg2.load "woodsb.spr"
bg2.map embedded 128 128
print "loading sprites"
spr.load "spritey.spr":1



# pages : [0]Bilou, [1]Bilou again, [2]cliff&bush&apple, [3]anims & woodworm
#         [4]appleman&fruitbat, [5] caves, [6]tree, [7]leaves, [8]



# apple
anim5 c {
  spr0 0
  delay 5
  spr0 1
  delay 10
  spr0 0
  delay 5
  spr0 2
  delay 10
  loop
}
print "animating blocks"
bg0.anim 220 : anim5

# game counters 

let c1 = 16  # required apples -- obsolete
let c2 = 5  # hitpoints
# import c3 : lives counter

c3.action = level(assault0.cmd)


print "declaring state machine"

# Woodworm

input "worm.cmd"
import state0..1
using sound(5,60) as 0
using sound(4,48) as 1



# "bonus block"
block 0001 {
   area (4,4)-(12,12) 0010
   on hit [t] (x0d1) 
}
# "door block"
block 22 {
   area (-4,-4)-(20,20) 0010
   on hit [c1 0 =] (t)
}
# "exit target"
block 0003 {
  area (0,0)-(16,16) 0010
  on hit [t] (d4)
}

input "abilou.cmd"
import state 4..7
gob0 :state4 (96, 240) h
focus=gob0

c4.action = track(38) {
@4: setstate(gob0:=state6)
@16: fade(219)
@32: level(assault1.cmd)
}

c2.action = track(37) { # you're dead
@0: setstate(gob0:=state7)
@16: fade(219)
@32: level(assault4.cmd,d0d3) # try again
}

print "woodworms."


print "dropping mushrooms ..."

input "funghi.cmd"
import state3

input "berrybat.cmd"
import state2

using shgob(state0 is e:=D) as 12
input "berryshoot.cmd"
import state 12..13

print "reset gun6"
using shgob(state0:=D) as 6



print "setting counters"
c0.print "level "
let c:= (i0 v0 5* :7 v7 :5)
let c:= (d8 v7 :4 v7 2 / :7)
#let c5 = 5 * level   # applemen to generate
#let c7 = # max number of applemen on screen.
#let c8 = 10   # inter-applemen delay
#let c9 = c7   # level cleared.
c0.print "level "
c4.print "apples "

input "appleman.cmd"
import state9
using shgob(state0 is e:=D) as 9
#using sound(0,0) as 9

input "appshoot.cmd"
import state10..11

# here be dragons
gob3 :state3 (120, 320) e
gob4 :state11 (8, 248) e

# here be dragons
gob5 :state11 (16, 304) e
gob6 :state1 (320, 240) e
gob7 :state11 (280, 88) e
gob8 :state11 (352, 304) e

gob10 :state13 (200,0) e
gob10:=(10:7 c8 3* 5+ :8 v8:9 80:4)
do fade(0)
do track(pop)


# here be dragons
end
# here be dragons
