# -*- sh -*-
# commands for green level at 29/07/2009 featuring
#   animated bonus
#   get 16 bonus to open door
#   gets hit and splatted
#   


print "loading level1"
bg0.load "spritey.spr"
bg0.map "GREENY.MAP" 128 128 # (appleman @ 576 280)
color 0 426f40
color 252 070707
print "activating background"
bg1.map = bg0.map:1 128 128

bg2.load "woodsb.spr"
bg2.map embedded 128 128

#color 10 050906

print "loading sprites"
spr.load "spritey.spr":1


# WoodWorm

# pages : [0]Bilou, [1]Bilou again, [2]cliff&bush&apple, [3]anims & woodworm
#         [4]appleman&fruitbat, [5] caves, [6]tree, [7]leaves, [8]



# apple
anim5 3 {
  spr0 0
  delay 5
  spr0 1
  delay 10
  spr0 0
  delay 5
  spr0 2
  delay 10
  loop
}
print "animating blocks"
bg0.anim 220 : anim5
print "declaring state machine"

# Woodworm

input "worm.cmd"
import state0..1
using sound(5,60) as 0
using sound(4,48) as 1

let c2 = 5  # hitpoints
c2.action = level(green1.cmd)

let c1 = 16  # required apples

print "bonus block"
block 0001 {
   area (4,4)-(12,12) 0010
   on hit [t] (x0d1) 
}
print "door block"
block 22 {
   area (-4,-4)-(20,20) 0010
   on hit [c1 0 =] (t)
}


# level exit. Hack using a counter for now.
let c4 = 1
block 0003 {
  area (0,0)-(16,16) 0010
  on hit [t] (d4)
}
c4.action = level(green2.cmd)

input "bilou.cmd"
import state 4..5

print "yo"
gob0 :state4 (548,128) h # bilou
gob0.focus

gob1 :state0 (240,120) e # floating ^^

print "woodworms."


gob2 :state0 (352,272) e # underground
#gob3 :state1 (96,160) e # on the floor


print "dropping mushrooms ..."

input "funghi.cmd"
import state3

gob4 :state3 (100,100) e
gob5 :state3 (200,300) e
gob6 :state3 (260,280) e

input "berrybat.cmd"
import state2

print "reset gun6"
using shgob(state0:=D) as 6


input "appleman.cmd"
import state7
using shgob(state0 is e:=D) as 9
#using sound(0,0) as 9

let c7 = 42 # max number of applemen on screen.
input "appshoot.cmd"
import state6

#input "sign.cmd"
#import state8

# sign

#gob9 :state8 (450,298)


#gob7 :state2 (200,200) e
gob8 :state6 (600,240) e
gob8 := (100 :0)

gob10 :state6 (800,300) e
#gob## := (100 :0)

#gob8.focus            
bg3.anim 9 : anim0
end
